<?php

function get_effect($settings_effect){
         $effect_array = array(
		             0 => "slide",
					 1 => "fade",
					 2 => "once",
					 3 => "random"
		);
        return $effect_array[$settings_effect];
}		
						 

if(!function_exists('live_time_left')){
    function live_time_left($last){
	global $locale;
	$res = "";
		$t = ($last-time());
		$live_days  = (int)($t/86400);
		$live_hours = (int)($t/3600);
		$live_mins  = (int)($t/60);
		$live_secs  = (int)($t%60);

		if ($live_days != 0) {
			$res .= sprintf($locale['lf000'], $live_days);
}
		else if ($live_hours != 0) {
			$res .= sprintf($locale['lf001'], $live_hours);
}
		else if ($live_mins != 0) {
			$res .= sprintf($locale['lf002'], $live_mins);
}
		else if ($live_secs != 0) {
			$res .= sprintf($locale['lf003'], $live_secs);
		}
	return $res;
   }
}


if(!function_exists('live_settings_time')){
    function live_settings_time($time_settings){
	global $locale;
	$ret = "";
		$time = ($time_settings);
		$sett_secs  = (int)($time/1000);
	    if ($sett_secs != 0) {
			$ret .= sprintf("%u second".($sett_secs > 1 ? "s" : ""), $sett_secs);
		}
	return $ret;
   }
}

function liveadmin_link($user_id, $user_name, $user_status, $user_level, $admin_color) {
	global $locale, $settings;

	$admin_style = ($admin_color ? "style='color: ".$admin_color."; font-weight: bold;'" : "");
	$admin_icon  = "<img src='".INFUSIONS."live_panel/images/live_admin.png' style='vertical-align: middle;' /> ";
	if ((in_array($user_status, array(0, 3, 7)) || checkrights("M")) && (iMEMBER || $settings['hide_userprofiles'] == "0")) {
		$admin_link = ($user_level == 103 ? $admin_icon : "")."<a href='".BASEDIR."profile.php?lookup=".$user_id."' ".($user_level == 103 ? $admin_style : "class='profile-link'").">".$user_name."</a>";
	} elseif ($user_status == "5" || $user_status == "6") {
		$admin_link = $locale['user_anonymous'];
	} else {
		$admin_link = $user_name;
	}

	return $admin_link;
}
?>