<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: add.php
| Author: DrunkeN
+--------------------------------------------------------+
| Live Panel
| Version: 1.02
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."live_panel/inc/live.func.php";
include INFUSIONS."live_panel/infusion_db.php";
require_once INFUSIONS."live_panel/inc/live.func.php";

if (file_exists(INFUSIONS."live_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."live_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."live_panel/locale/English.php";
}


       $live_settings = dbarray(dbquery("SELECT live_time_sett, live_adicc_sett, live_acolo_sett FROM ".DB_LIVE_SETTINGS));
       add_to_head("<link rel='stylesheet' href='".INFUSIONS."live_panel/inc/styles/live.css.css' type='text/css' media='screen' />");


if (isset($_GET['live_status'])) {
	if ($_GET['live_status'] == "suc") {
		$message = $locale['ladd000'];
		$class = "live_success";
	} elseif ($_GET['live_status'] == "emp") {
	    $message = $locale['ladd001'];
		$class = "live_error";
	} elseif ($_GET['live_status'] == "del") {
	    $message = $locale['ladd002'];
		$class = "live_delete";
	}		
	if ($message) {
		$message = "<div align='center'><div style='font-size: 12px; text-align: center; font-weight: bold;' class='".$class."'>".$message."</div></div>";
		if ($_GET['live_status'] == "emp" || $_GET['live_status'] == "suc" || $_GET['live_status'] == "del") {
			echo "<div id='close-live-message'>".$message."</div>\n";
		} else {
			echo "<div id='close-live-message'>".$message."</div>\n";
		}
	}
  }
 

    global $userdata, $lastvisited;
	
	if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }
	
if (iMEMBER && (isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['live_id']) && isnum($_GET['live_id']))) {
	if ((iADMIN && checkrights("ULP")) || (iMEMBER && dbcount("(livet_id)", DB_LIVE, "live_id='".$_GET['live_id']."' AND live_user='".$userdata['user_id']."'"))) {
		$result = dbquery("DELETE FROM ".DB_LIVE." WHERE live_id='".$_GET['live_id']."'".(iADMIN ? "" : " AND live_user='".$userdata['user_id']."'"));
	}
	redirect(FUSION_SELF."?live_status=del");
}

if(iMEMBER){
	$data = dbarray(dbquery("SELECT live_datestamp, live_message, liveuser_ip, liveuser_last, live_user FROM ".DB_LIVE." WHERE live_user='".$userdata['user_id']."' ORDER by liveuser_last DESC LIMIT 0,1"));
  	if (isset($_POST['add_live'])) {
			$live_message = stripinput($_POST['live_message']);
			if ($_POST['live_message'] != "") {
			$result = dbquery("INSERT INTO ".DB_LIVE." (live_user, liveuser_ip, liveuser_last, live_datestamp, live_message) VALUES ('".$userdata['user_id']."', '".$userdata['user_ip']."', '".time()."', '".time()."', '".$live_message."')");
		    redirect(FUSION_SELF."?live_status=suc");
            } else {
			redirect(FUSION_SELF."?live_status=emp");
	} 	
}  
   if ($data['liveuser_ip'] == $userdata['user_ip'] && time() - $data['liveuser_last'] < $live_settings['live_time_sett']) {
            opentable($locale['ladd003']);    
			echo "<div align='center'><div style='font-size: 12px; text-align: center; font-weight: bold;' class='live_notice'>".$locale['ladd004'].showdate("%B %d %Y %H:%M", $data['liveuser_last']+$live_settings['live_time_sett']).$locale['ladd005'].live_time_left($data['liveuser_last']+$live_settings['live_time_sett']).$locale['ladd006']."</div></div>"; 
		    closetable(); 
	} 
			else {   
		    opentable($locale['ladd007']);
			echo "<form name='liveform' method='post' action='".FUSION_SELF."'>\n";
			echo "<table align='center' width='400' cellspacing='1' cellpadding='0' class='tbl1 tbl-border'><tr>\n";
			echo "<td valign='top' class='tbl'><strong>".$locale['ladd008']."</strong></td>\n";
	        echo "<td align='center' class='tbl'><textarea cols='25' rows='5'  name='live_message' class='textbox' maxlength='150' style='width:300px'></textarea>";
			echo display_bbcodes("200px", "live_message", "liveform", "smiley|b|u|url|color")."\n";
            echo "<input type='submit' name='add_live' value='".$locale['ladd009']."' class='button' /></td>\n</tr>\n";
			echo "</table>\n</form>\n";	
			closetable(); 
}
			
	$result = dbquery("SELECT panel_access FROM ".DB_PANELS." WHERE panel_filename='live_panel' AND panel_status='1'");
if (dbrows($result)) {
	$data = dbarray($result);
	if (!checkgroup($data['panel_access'])) {
		redirect(BASEDIR."index.php");
	}
} else {
	redirect(BASEDIR."index.php");
}

if (iADMIN && (isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['live_id']) && isnum($_GET['live_id']))) {
	if ((iADMIN && checkrights("ULP"))) {
		$result = dbquery("DELETE FROM ".DB_LIVE." WHERE live_id='".$_GET['live_id']."'");
	}
	redirect(FUSION_SELF);
}

/* The live archive */
echo "<a id='archive'></a>";
opentable($locale['ladd010']);
$rows = dbcount("(live_id)", DB_LIVE);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {
	$result = dbquery(
		"SELECT l.live_id, l.live_user, l.live_message, l.live_datestamp, l.liveuser_last, l.liveuser_ip, u.user_id, u.user_name, u.user_status, u.user_level
		FROM ".DB_LIVE." l
		LEFT JOIN ".DB_USERS." u ON l.live_user=u.user_id
		ORDER BY l.live_datestamp DESC LIMIT ".$_GET['rowstart'].",20"
	);
	while ($data = dbarray($result)) {
		echo "<div class='tbl2'>\n";
	    if ((iADMIN && checkrights("ULP")) || (iMEMBER && $data['user_id'] == $userdata['user_id'] && isset($data['user_name']))) {
		echo "<div style='float: right;'>";
		$check = ($data['liveuser_ip'] == $userdata['user_ip'] && time() - $data['liveuser_last'] < $live_settings['live_time_sett']);
		echo ($check ? "" : "<a href='".FUSION_SELF."?action=delete&amp;live_id=".$data['live_id']."'>".$locale['ladd011']."</a>\n")."</div>\n";
		}
		if ($data['user_name']) {
		if($live_settings['live_adicc_sett'] == 1 && $data['user_level'] == 103){
	        echo liveadmin_link($data['user_id'], $data['user_name'], $data['user_status'], $data['user_level'], $live_settings['live_acolo_sett'])." <strong>".showdate("%Y-%m-%d %H:%M:%S", $data['live_datestamp'])."</strong>";
	      } else {
			echo profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <strong>".showdate("%Y-%m-%d %H:%M:%S", $data['live_datestamp'])."</strong>";
			}
} 
		else {
			echo $data['live_user'];
		}
		echo "</div>\n";
		echo "<div class='tbl1' style='margin-bottom: 5px;'>\n".parseubb(parsesmileys($data['live_message']), "b|i|u|url|color")."</div>\n";
	}
} else {
	echo "<div style='text-align:center'><br />\n".$locale['ladd012']."<br /><br />\n</div>\n";
}
closetable();

echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?")."\n</div>\n";

} else {
opentable($locale['ladd013']);
       echo "<div style='text-align: center;'>".$locale['ladd014']."</div>";
closetable();
}
require_once THEMES."templates/footer.php";
?>
