<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: live_admin.php
| Author: DrunkeN
+--------------------------------------------------------+
| Version: 1.00
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."live_panel/infusion_db.php";

require_once INFUSIONS."live_panel/inc/live.func.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."live_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."live_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."live_panel/locale/English.php";
}
    require_once INFUSIONS."live_panel/inc/copyright.php";


	
if (!checkrights("ULP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
    
	$live_id = (isset($_GET['live_id']) AND isnum($_GET['live_id'])) ? $_GET['live_id'] : "";
	
	include INFUSIONS."live_panel/admin/admin_nav.php";
		
if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("DELETE FROM ".DB_FUSIONLIVE." WHERE live_id='".$fusionlive_id."'");
    redirect(FUSION_SELF.$aidlink."&status=del");
}

	if (isset($_POST['edit_live'])) {
	$live_message = stripinput($_POST['live_message']);
	   if ((isset($_GET['action']) && $_GET['action'] == "edit")) {
				$result = dbquery("UPDATE ".DB_LIVE." SET live_message='".$live_message."' WHERE live_id='".$live_id."'");
				redirect(FUSION_SELF.$aidlink);
			}
	}
	
	$result = dbquery("SELECT live_message FROM ".DB_LIVE." WHERE live_id='".$live_id."'");
	$data = dbarray($result);
	$live_message = $data['live_message'];
	$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;live_id=".$live_id;
    
	if(isset($_GET['action']) && $_GET['action'] == "edit") {
	opentable($locale['la000']); 
    require_once INCLUDES."bbcode_include.php";
	echo "<div style='text-align: center; font-size: 13px; font-weight: bold; padding: 5px;'><a href='".FUSION_SELF.$aidlink."&amp;action=settings'>".$locale['la014']."</a></div>";
    echo "<form name='inputform' method='post' action='".$formaction."'>\n";
    echo "<table align='center' width='800' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>\n";
    echo "<td valign='top' class='tbl'><strong>".$locale['la001']."</strong></td>\n";
    echo "<td class='tbl'><textarea name='live_message' rows='5' cols='20' class='textbox' style='width:400px;'>".htmlspecialchars_decode(stripslashes($live_message))."</textarea><br />\n";
    echo display_bbcodes("400px", "live_message", "inputform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
    echo "<td align='center' colspan='2' class='tbl'>";
    echo "<input type='submit' name='edit_live' value='".$locale['la002']."' class='button' style='align:center;' />\n";
    echo "</td></tr>\n</table>\n</form>\n";
	echo "<div style='text-align: center; font-size: 13px; font-weight: bold;'><a href='".FUSION_SELF.$aidlink."&amp;action=settings'>Ustawienia</a></div>";
}


if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
}
    $live_perpage = 20;

opentable($locale['la003']);
echo "<table align='center' width='800' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
    echo "<tr>\n";
	echo "<td width='250' class='tbl2'><strong>".$locale['la004']."</strong></td>\n";
	echo "<td width='110' class='tbl2'><strong>".$locale['la005']."</strong></td>\n";
    echo "<td width='110' class='tbl2'><strong>".$locale['la006']."</strong></td>\n";
    echo "<td width='110' class='tbl2'><strong>".$locale['la007']."</strong></td>\n";
    echo "</tr>\n";
$result = dbquery("SELECT l.*, u.user_id, u.user_name, u.user_status 
	               FROM ".DB_LIVE." l
	               LEFT JOIN ".DB_USERS." u ON u.user_id=l.live_user
	               ORDER BY live_datestamp DESC
	               LIMIT $rowstart,$live_perpage
	");
	
  $rows = dbcount("(live_id)", DB_LIVE);
if ($rows) {
	while($data = dbarray($result)) {
        echo "<tr>\n";
		echo "<td class='tbl1' style='white-space:nowrap'>".nl2br(parsesmileys(parseubb(stripslashes(trimlink($data['live_message'], 40)))))."\n";
		echo "<td class='tbl1' style='white-space:nowrap'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
        echo "<td class='tbl1' style='white-space:nowrap'>".showdate("%B %d %Y", $data['live_datestamp'])."</td>\n";
        echo "<td class='tbl1' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;live_id=".$data['live_id']."' title='".$locale['la008']."'>".$locale['la008']."</a> :: <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;live_id=".$data['live_id']."' title='".$locale['la009']."'>".$locale['la009']."</a></td>\n";
        echo "</tr>\n";
    }
        echo "</table>\n";
if ($rows > $live_perpage) 
        echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$live_perpage,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
} 
		else {
        echo "<table align='center' width='800' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>\n<td class='tbl2' align='left'>".$locale['la010']."</td></tr>\n</table>";
}
closetable();
       /* Please dont remove the copyright! */
       echo live_copyright();
       /* Please dont remove the copyright! */

require_once THEMES."templates/footer.php";
?>
