<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: live_settings.php
| Author: DrunkeN
+--------------------------------------------------------+
| Live Panel
| Version: 1.02
| Author: Dark Fusion
| Developer(s): DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once THEMES."templates/header.php";
include INFUSIONS."live_panel/infusion_db.php";

require_once INFUSIONS."live_panel/inc/live.func.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."live_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."live_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."live_panel/locale/English.php";
}
    require_once INFUSIONS."live_panel/inc/copyright.php";


if (!checkrights("ULP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
	   add_to_head("<link rel='stylesheet' href='".INFUSIONS."live_panel/inc/styles/live.css.css' type='text/css' media='screen' />");
       add_to_head("<script language='JavaScript' type='text/javascript' src='".INFUSIONS."live_panel/inc/js/live.javascripts.js'></script>");
	  
	 include INFUSIONS."live_panel/admin/admin_nav.php";
		
if (isset($_GET['settings_status'])) {
	if ($_GET['settings_status'] == "saved") {
		$message = $locale['las000'];
		$class = "settings_success";
	}		
	if ($message) {
		$message = "<div align='center'><div style='font-size: 12px; text-align: center; font-weight: bold;' class='".$class."'>".$message."</div></div>";
		if ($_GET['settings_status'] == "suc") {
			echo "<div id='close-live-message'>".$message."</div>\n";
		} else {
			echo "<div id='close-live-message'>".$message."</div>\n";
		}
	}
  }
  
if (isset($_POST['update_settings'])) {
	$live_time_sett = stripinput($_POST['live_time_sett']);
	$live_stime_sett = stripinput($_POST['live_stime_sett']);
	$live_ftime_sett = stripinput($_POST['live_ftime_sett']);
	$live_otime_sett = stripinput($_POST['live_otime_sett']);
	$live_rtime_sett = stripinput($_POST['live_rtime_sett']);
	$live_acolo_sett = stripinput($_POST['live_acolo_sett']);
	$live_effe_sett = (isset($_POST['live_effe_sett']) && isnum($_POST['live_effe_sett'])) ? $_POST['live_effe_sett'] : "0";
	$live_adicc_sett = (isset($_POST['live_adicc_sett']) && isnum($_POST['live_adicc_sett'])) ? $_POST['live_adicc_sett'] : "0";
	            $result = dbquery("UPDATE ".DB_LIVE_SETTINGS." SET live_time_sett='".$live_time_sett."', live_effe_sett='".$live_effe_sett."',
				live_stime_sett='".$live_stime_sett."', live_ftime_sett='".$live_ftime_sett."', live_otime_sett='".$live_otime_sett."',
				live_rtime_sett='".$live_rtime_sett."', live_adicc_sett='".$live_adicc_sett."', live_acolo_sett='".$live_acolo_sett."'");
    redirect(FUSION_SELF.$aidlink."&amp;settings_status=saved");				
}
   	$settings_data = dbarray(dbquery("SELECT 
	                live_time_sett, 
					live_effe_sett, 
					live_stime_sett, 
					live_ftime_sett, 
					live_otime_sett, 
					live_rtime_sett, 
					live_adicc_sett,
					live_acolo_sett
					FROM ".DB_LIVE_SETTINGS
	));
	

 
    opentable($locale['las000a']);
    echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
    echo "<table align='center' width='400' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>\n";
    echo "<td valign='top' class='tbl'><strong>".$locale['las002']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_time_sett' value='".$settings_data['live_time_sett']."' class='textbox' style='width:150px' /></td>\n";
    echo "</tr>\n";
	echo "<tr>\n<td class='tbl2' colspan='2'><strong>".$locale['las003']."</strong></td><td class='tbl2' colspan='2'></td>\n</tr>\n</tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las003']."</strong></td>\n";
	echo "<td class='tbl'><select name='live_effe_sett' class='textbox'>\n";
	echo "<option value='0'".($settings_data['live_effe_sett'] == "0" ? " selected='selected'" : "").">".$locale['las004']."</option>\n";
    echo "<option value='1'".($settings_data['live_effe_sett'] == "1" ? " selected='selected'" : "").">".$locale['las005']."</option>\n";
	echo "<option value='2'".($settings_data['live_effe_sett'] == "2" ? " selected='selected'" : "").">".$locale['las006']."</option>\n";
	echo "<option value='3'".($settings_data['live_effe_sett'] == "3" ? " selected='selected'" : "").">".$locale['las007']."</option>\n";
    echo "</select>\n</td>\n</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las008']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_stime_sett' value='".$settings_data['live_stime_sett']."' class='textbox' style='width:150px' /> (".live_settings_time($settings_data['live_stime_sett']).")</td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las009']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_ftime_sett' value='".$settings_data['live_ftime_sett']."' class='textbox' style='width:150px' /> (".live_settings_time($settings_data['live_ftime_sett']).")</td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las010']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_otime_sett' value='".$settings_data['live_otime_sett']."' class='textbox' style='width:150px' /> (".live_settings_time($settings_data['live_otime_sett']).")</td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las011']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_rtime_sett' value='".$settings_data['live_rtime_sett']."' class='textbox' style='width:150px' /> (".live_settings_time($settings_data['live_rtime_sett']).")</td>\n";
    echo "</tr>\n";
	echo "<tr>\n<td class='tbl2' colspan='2'><strong>".$locale['las012']."</strong></td><td class='tbl2' colspan='2'></td>\n</tr>\n</tr>\n";
	echo "<tr><td valign='top' class='tbl'><strong>".$locale['las013']."</strong></td>\n";
	echo "<td class='tbl'><select name='live_adicc_sett' class='textbox'>\n";
	echo "<option value='0'".($settings_data['live_adicc_sett'] == "0" ? " selected='selected'" : "").">".$locale['las014']."</option>\n";
    echo "<option value='1'".($settings_data['live_adicc_sett'] == "1" ? " selected='selected'" : "").">".$locale['las015']."</option>\n";
    echo "</select>\n</td>\n</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['las016']."</strong></td>\n";
    echo "<td class='tbl1'><input type='text' name='live_acolo_sett' value='".$settings_data['live_acolo_sett']."' maxlength='7' class='textbox' style='width:50px' /> (<span style='color: ".$settings_data['live_acolo_sett'].";'>".$locale['las017']."</span>)</td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td align='center' colspan='2' class='tbl'>\n";
    echo "<input type='submit' name='update_settings' value='".$locale['las018']."' class='button' style='align:center;' />\n";
    echo "</tr>\n</table>\n</form>\n";
closetable();
       /* Please dont remove the copyright! */
       echo live_copyright();
       /* Please dont remove the copyright! */

require_once THEMES."templates/footer.php";
?>