<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Fusion LivePanel
| Version: 1.00
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."live_panel/infusion_db.php";

if (file_exists(INFUSIONS."live_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."live_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."live_panel/locale/English.php";
}

$inf_title = $locale['ltitle'];
$inf_version = "1.02";
$inf_developer = "DrunkeN";
$inf_weburl = "http://dark-fusion.se";
$inf_email = "pimp_89_cool@hotmail.com";
$inf_folder = "live_panel";
$inf_description = $locale['ldesc'];

$inf_newtables = 1;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 1;

$inf_newtable[1] = DB_LIVE." (
  live_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  live_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  liveuser_last int(10) UNSIGNED NOT NULL default '0',
  liveuser_ip VARCHAR(45) NOT NULL DEFAULT '',
  live_message TEXT NOT NULL,
  live_datestamp int(10) UNSIGNED NOT NULL default '0',
  PRIMARY KEY (live_id)
) ENGINE = MyISAM;";

$inf_newtable[2] = DB_LIVE_SETTINGS." (
  live_time_sett VARCHAR(45) NOT NULL DEFAULT '',
  live_effe_sett TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  live_stime_sett VARCHAR(15) NOT NULL DEFAULT '',
  live_ftime_sett VARCHAR(15) NOT NULL DEFAULT '',
  live_otime_sett VARCHAR(15) NOT NULL DEFAULT '',
  live_rtime_sett VARCHAR(15) NOT NULL DEFAULT '',
  live_adicc_sett TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
  live_acolo_sett VARCHAR(7) NOT NULL DEFAULT ''
  ) ENGINE = MyISAM;";

$inf_droptable[1] = DB_LIVE;
$inf_droptable[2] = DB_LIVE_SETTINGS;


$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('User Lives', '".$inf_folder."', '2', '1', 'file', '0', '1', '1')";
$inf_insertdbrow[2] = DB_LIVE_SETTINGS." (live_time_sett, live_effe_sett, live_stime_sett, live_ftime_sett, live_otime_sett, live_rtime_sett, live_adicc_sett, live_acolo_sett
) VALUES ('86400', '0', '7000', '8000', '2000', '2000', '0', '#ff0000')";
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
    "title" => $locale['ladmin'], 
    "image" => "infusion_panel.gif",
    "panel" => "admin/live_admin.php", 
    "rights" => "ULP" 
);

?>
