<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: live_panel.php
| Author: DrunkeN
+--------------------------------------------------------+
| Live Panel
| Version: 1.02
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) {  die("Access Denied"); }

require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."live_panel/inc/live.func.php";

include INFUSIONS."live_panel/infusion_db.php";

if (file_exists(INFUSIONS."live_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."live_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."live_panel/locale/English.php";
}

   global $settings, $userdata;
   
     $live_settings = dbarray(dbquery("SELECT 
	             live_time_sett, 
				 live_effe_sett,
                 live_stime_sett,
                 live_ftime_sett,
                 live_otime_sett,
                 live_rtime_sett,
                 live_adicc_sett,	
                 live_acolo_sett				 
				 FROM ".DB_LIVE_SETTINGS
	));
   
 	 add_to_head("<link rel='stylesheet' href='".INFUSIONS."live_panel/inc/styles/live.css.css' type='text/css' media='screen' />");
	 add_to_head("<script language='JavaScript' type='text/javascript' src='".INFUSIONS."live_panel/inc/js/live.javascripts.js'></script>");
	 opentable($locale['lpa000']);
     $result = dbquery("SELECT l.*, 
	         u.user_id, 
	         u.user_name, 
	         u.user_status, 
	         u.user_avatar, 
	         u.user_lastvisit, 
			 u.user_birthdate, 
			 u.user_level 
	         FROM ".DB_LIVE." l 
	         LEFT JOIN ".DB_USERS." u ON u.user_id=l.live_user 
	         ORDER BY live_datestamp DESC LIMIT 0,20
	");
	 echo "<div class='live_tline'></div>";
if (dbrows($result) != 0) {
	 echo "<ul ".(dbrows($result) > 1 ? "id='".get_effect($live_settings['live_effe_sett'])."'" : "")." class='liveticker'>"; // The ticker will not start until at least 2 user have post live!
     $live_javascript = "";
	 while($data = dbarray($result)) {
     echo "<li style='display: list-item;'>";
if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_status']!=6 && $data['user_status']!=5) {
		echo "<img  style='padding: 0px 0px 0px 3px; float: left; width: 40px; height: 40px;' src='".IMAGES."avatars/".$data['user_avatar']."' alt='Avatar'>\n";
  } else {
	echo "<img  style='padding: 0px 0px 0px 3px; float: left; width: 40px; height: 40px;' src='".IMAGES."avatars/noavatar100.png' alt='Avatar'>";
}
    echo "<div style='float: left;'>";
    echo "<div style='padding: 5px; text-align: left; height: 20px;'>";
if($live_settings['live_adicc_sett'] == 1 && $data['user_level'] == 103){
	echo liveadmin_link($data['user_id'], $data['user_name'], $data['user_status'], $data['user_level'], $live_settings['live_acolo_sett'])." <strong>".showdate("%B %d %Y %H:%M", $data['liveuser_last']).":</strong><br />";
	} else {
	echo profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <strong>".showdate("%B %d %Y %H:%M", $data['liveuser_last']).":</strong><br />";
	}
	echo parsesmileys(parseubb(stripslashes($data['live_message'])));  
    echo "</div></div>";
	
}
    echo "</li>";
  } else {
    echo "<div style='text-align:center;'>".(iMEMBER ? $locale['lpa004'] : $locale['lpa004a'])."</div>\n";
}
     echo "</ul>";
	 echo "<div class='live_bline'></div>";
if (dbrows($result) != 0 && iMEMBER){
     echo "<br style='clear: both;' />";
	 $che_data = dbarray(dbquery("SELECT live_datestamp, live_message, liveuser_ip, liveuser_last, live_user FROM ".DB_LIVE." WHERE live_user='".$userdata['user_id']."' ORDER by liveuser_last DESC LIMIT 0,1"));
	 $check = ($che_data['liveuser_ip'] == $userdata['user_ip'] && time() - $che_data['liveuser_last'] < $live_settings['live_time_sett']);
	 if (dbrows($result) != 0) { 
	 echo "<div class='side-small' style='text-align: center;'>".($check ? "<span style='color: red; font-weight: bold;'>".$locale['lpa001'].live_time_left($che_data['liveuser_last']+$live_settings['live_time_sett']).")</span>".$locale['lpa005'] : $locale['lpa002']."<a style='font-weight: bold;' href='".INFUSIONS."live_panel/add.php'>".$locale['lpa003']."</a>")."</div>"; 
	 }
}

    $live_javascript = "<script type='text/javascript'>";
	$live_javascript .= "/*<![CDATA[*/";
    $live_javascript .= "$(document).ready(function(){";
    $live_javascript .= "$('#fade').list_ticker({";
    $live_javascript .= "speed:".$live_settings['live_ftime_sett'].",";
    $live_javascript .= "effect:'fade'";
    $live_javascript .= "});";
    $live_javascript .= "$('#slide').list_ticker({";
    $live_javascript .= "speed:".$live_settings['live_stime_sett'].",";
    $live_javascript .= "effect:'slide'";
	$live_javascript .= "});";	
	$live_javascript .= "$('#once').list_ticker({";
	$live_javascript .= "speed:".$live_settings['live_otime_sett'].",";
	$live_javascript .= "effect:'fade',";
	$live_javascript .= "run_once:true";
	$live_javascript .= "});";	
	$live_javascript .= "$('#random').list_ticker({";
	$live_javascript .= "speed:".$live_settings['live_rtime_sett'].",";
	$live_javascript .= "effect:'fade',";
	$live_javascript .= "random:true";
	$live_javascript .= "});";
	$live_javascript .= "})";
	$live_javascript .= "/*]]>*/";
    $live_javascript .= "</script>";
	add_to_footer($live_javascript);
closetable();

?>